import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core/ES2015/type";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { Pool$1 } from "igniteui-react-core/ES2015/Pool$1";
import { Path } from "igniteui-react-core/ES2015/Path";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { Rectangle } from "igniteui-react-core/ES2015/Rectangle";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
/**
 * @hidden
 */
export declare class RadialColumnSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bf(): SeriesView;
    im(a: SeriesView): void;
    oj: RadialColumnSeriesView;
    constructor();
    ac(): void;
    ok: number;
    ol: number;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    hp(a: boolean, b: SeriesView): void;
    ed(): number;
    ne(a: RadialFrame, b: RadialBaseView): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialColumnSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected cw: RadialColumnSeries;
    constructor(a: RadialColumnSeries);
    cx: Pool$1<Path>;
    ap(): void;
    protected cy: List$1<Path>;
    c4(): Path;
    cz(a: Path): void;
    c1(a: Path): void;
    c0(a: Path): void;
    c3(a: Rectangle, b: number, c: number, d: number, e: number, f: number): void;
    protected bb(a: any, b: number): void;
    protected bc(a: any, b: number): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
    c2(): void;
}
